SELECT
  'SELECT * INTO ' + name + '_20230529 FROM ' + name
FROM
  SYSOBJECTS
WHERE
  xtype = 'U';

SELECT
  'DELETE FROM ' + name
FROM
  SYSOBJECTS
WHERE
  xtype = 'U'
  AND RIGHT(name, 9) <> '_20230529';